Bug 1247331 - [abrt] gdm: strncpy(): gdm killed by SIGSEGV
[abrt] gdm: strncpy(): gdm killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7a2fcba12e0a9bd04b5c390bf29...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 15:01 EDT by Алексей Смирнов
Modified: 2017-08-08 08:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (165.31 KB, text/plain)
2015-07-27 15:01 EDT, Алексей Смирнов
no flags Details
File: cgroup (186 bytes, text/plain)
2015-07-27 15:01 EDT, Алексей Смирнов
no flags Details
File: core_backtrace (12.83 KB, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: dso_list (3.35 KB, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: environ (72 bytes, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: maps (15.62 KB, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: open_fds (971 bytes, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details
File: var_log_messages (281 bytes, text/plain)
2015-07-27 15:02 EDT, Алексей Смирнов
no flags Details

  None (edit)
Description Алексей Смирнов 2015-07-27 15:01:54 EDT
Description of problem:
start wayland session after gnome-session(wayland) crashing

Version-Release number of selected component:
gdm-3.17.3.1-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/sbin/gdm
crash_function: strncpy
executable:     /usr/sbin/gdm
global_pid:     839
kernel:         4.2.0-0.rc3.git4.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strncpy at ../sysdeps/x86_64/multiarch/strcpy-ssse3.S:2818
 #2 record_set_id at gdm-session-record.c:134
 #3 gdm_session_record_logout at gdm-session-record.c:292
 #4 add_session_record at gdm-manager.c:693
 #5 on_user_session_exited at gdm-manager.c:1730
 #6 g_cclosure_marshal_VOID__ENUMv at gmarshal.c:1496
 #7 _g_closure_invoke_va at gclosure.c:864
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:525
 #12 g_cclosure_marshal_generic at gclosure.c:1481

Potential duplicate: bug 1213994
Comment 1 Алексей Смирнов 2015-07-27 15:01:58 EDT
Created attachment 1056707 [details]
File: backtrace
Comment 2 Алексей Смирнов 2015-07-27 15:01:59 EDT
Created attachment 1056708 [details]
File: cgroup
Comment 3 Алексей Смирнов 2015-07-27 15:02:01 EDT
Created attachment 1056709 [details]
File: core_backtrace
Comment 4 Алексей Смирнов 2015-07-27 15:02:02 EDT
Created attachment 1056710 [details]
File: dso_list
Comment 5 Алексей Смирнов 2015-07-27 15:02:03 EDT
Created attachment 1056711 [details]
File: environ
Comment 6 Алексей Смирнов 2015-07-27 15:02:05 EDT
Created attachment 1056712 [details]
File: limits
Comment 7 Алексей Смирнов 2015-07-27 15:02:06 EDT
Created attachment 1056713 [details]
File: maps
Comment 8 Алексей Смирнов 2015-07-27 15:02:07 EDT
Created attachment 1056714 [details]
File: mountinfo
Comment 9 Алексей Смирнов 2015-07-27 15:02:09 EDT
Created attachment 1056715 [details]
File: namespaces
Comment 10 Алексей Смирнов 2015-07-27 15:02:10 EDT
Created attachment 1056716 [details]
File: open_fds
Comment 11 Алексей Смирнов 2015-07-27 15:02:11 EDT
Created attachment 1056717 [details]
File: proc_pid_status
Comment 12 Алексей Смирнов 2015-07-27 15:02:12 EDT
Created attachment 1056718 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 08:28:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora End Of Life 2017-07-25 15:02:51 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 08:02:57 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.